Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.configuration.impl
Class ExceptionFactory

    java.lang.Object
      com.pietschy.command.configuration.impl.ExceptionFactory

     class ExceptionFactory

extends java.lang.Object

A factory for exceptions that ensures parsing information is captured in all exceptions.

Constructor Summary
`ExceptionFactory()`

Method Summary
`ParseException` | `createIllegalFormatException(java.lang.String key, java.lang.String value, IllegalFormatException.Type types)`
`ParseException` | `createInvalidSyntaxException(java.lang.String message)`
`ParseException` | `createParseException(java.lang.String message, java.lang.Throwable throwable)`
`ParseException` | `createUnknownPropertyException(java.lang.String key)`
`ParseException` | `createUnknownPropertyValueException(java.lang.String key, java.lang.String value, java.util.Set<java.lang.String> allowedValues)`
`ParseException` | `createUnknownPropertyValueException(java.lang.String key, java.lang.String value, java.lang.String firstValue, java.lang.String... otherValues)`
`void` | `setLine(java.lang.String line)` Sets the current line that is being parsed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionFactory

    public ExceptionFactory()

Method Detail

### setLine

    public void setLine(java.lang.String line)

  Sets the current line that is being parsed.

  Parameters:
    `line` - the content of the current line being parsed.

### createUnknownPropertyException

    public ParseException createUnknownPropertyException(java.lang.String key)

### createUnknownPropertyValueException

    public ParseException createUnknownPropertyValueException(java.lang.String key,
                                                              java.lang.String value,
                                                              java.util.Set<java.lang.String> allowedValues)

### createUnknownPropertyValueException

    public ParseException createUnknownPropertyValueException(java.lang.String key,
                                                              java.lang.String value,
                                                              java.lang.String firstValue,
                                                              java.lang.String... otherValues)

### createIllegalFormatException

    public ParseException createIllegalFormatException(java.lang.String key,
                                                       java.lang.String value,
                                                       IllegalFormatException.Type types)

### createParseException

    public ParseException createParseException(java.lang.String message,
                                               java.lang.Throwable throwable)

### createInvalidSyntaxException

    public ParseException createInvalidSyntaxException(java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch